Package org.apache.wiki.api.exceptions

## Class NoSuchVariableException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.wiki.api.exceptions.WikiException
      - - org.apache.wiki.api.exceptions.NoSuchVariableException

All Implemented Interfaces:
  `java.io.Serializable`

    public class NoSuchVariableException
    extends WikiException

Marks that no such variable was located.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`NoSuchVariableException​(java.lang.String msg)` Constructs an exception.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NoSuchVariableException

    public NoSuchVariableException​(java.lang.String msg)

Constructs an exception.

Parameters:
  `msg` - Message to show